Current filter:
                                You should refresh the page.
                                  • Hi DevExpress support,

                                    when I try to add an external assembly to my model I'm getting the error ' The assembly does not have persistent classes' in 17.2.9. It's working fine in 18.1.4.

                                    regards,
                                    Michael
                                • Gosha (DevExpress Support) 10.12.2018
                                  Hi Michael,

                                  How does your assembly look like? Would you please provide me with it? Would you please also capture a screencast that illustrates the issue?
                                • Michael Brandt 10.12.2018
                                  Hi Gosha,

                                  please see attached video & demo app.
                                • Michael Brandt 10.12.2018
                                  the video doesn't show the dialogs... give me a sec...
                                • Michael Brandt 10.12.2018
                                  new vid
                                • Michael (DevExpress Support) 10.12.2018
                                  Thank you for the project and video. I replicated the issue. We need additional time to research it. Please bear with us. We will reply once we have any results.

                                1 Solution

                                Creation Date Importance Sort by

                                Fixed:


                                Additional information:

                                To successfully import persistent types from an assembly that references a different DevExpress version, make sure that the DevExpress.Data.vXX.Y and DevExpress.Xpo.vXX.Y assemblies of the corresponding version are located in the same directory where the imported assembly resides or are installed in the GAC.

                                • Michael Brandt 10.16.2018
                                  will there be a hotfix für 17.2.x as well?
                                • Uriah (DevExpress Support) 10.16.2018
                                  Hello Michael,

                                  The ORM Data Model Designer is a VSIX Package and only one version (actually, the last installed) can be registered in Visual Studio. The newest version is preferable, so we did not include the fix in version 17.2. It is sufficient to install update for version 18.1 to resolve the problem.